Page MenuHomePhabricator

Productionize db21[21-31}
Closed, ResolvedPublic

Description

The following hosts need to be productionized

  • db2121 A5 will go to s7
  • db2122 A6 will go to s7
  • db2123 B3 will go to s5 to replace db2038
  • db2124 B6 will go to s6
  • db2125 C1 will go to s2
  • db2126 C5 will go to s2
  • db2127 C6 will go to s3
  • db2128 D1 will go to s5 to replace db2066
  • db2129 D5 will go to s6
  • db2130 D6 will go to s1
  • db2131 D8 will go to x1

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 527422 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2129

https://gerrit.wikimedia.org/r/527422

Mentioned in SAL (#wikimedia-operations) [2019-08-02T07:52:17Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Add db2129 to the config T228969 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-08-02T07:53:02Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Add db2129 to the config T228969 (duration: 00m 47s)

Marostegui updated the task description. (Show Details)Aug 2 2019, 7:57 AM

Change 527949 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2124: Enable notifications

https://gerrit.wikimedia.org/r/527949

Change 527950 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2124 into s6

https://gerrit.wikimedia.org/r/527950

Change 527950 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2124 into s6

https://gerrit.wikimedia.org/r/527950

Marostegui updated the task description. (Show Details)Aug 5 2019, 5:29 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-05T05:29:57Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Provision db2124 into s6 T228969 (duration: 00m 49s)

Change 527949 merged by Marostegui:
[operations/puppet@production] db2124: Enable notifications

https://gerrit.wikimedia.org/r/527949

Mentioned in SAL (#wikimedia-operations) [2019-08-05T05:30:49Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Provision db2124 into s6 T228969 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2019-08-05T07:23:14Z] <marostegui> Move db2095:3312 from db2063 to db2126 - T228969

Change 528069 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-codfw.php: Reorganize s2

https://gerrit.wikimedia.org/r/528069

Change 528069 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw.php: Reorganize s2

https://gerrit.wikimedia.org/r/528069

Mentioned in SAL (#wikimedia-operations) [2019-08-05T07:52:38Z] <marostegui@deploy1001> sync-file aborted: Reorganize s2 T228969 (duration: 00m 06s)

Mentioned in SAL (#wikimedia-operations) [2019-08-05T07:53:20Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Reorganize s2 T228969 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-08-05T07:53:49Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Reorganize s2 T228969 (duration: 00m 47s)

Change 528079 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Provision db2127 into s3

https://gerrit.wikimedia.org/r/528079

Change 528079 merged by Marostegui:
[operations/puppet@production] mariadb: Provision db2127 into s3

https://gerrit.wikimedia.org/r/528079

Mentioned in SAL (#wikimedia-operations) [2019-08-05T15:21:21Z] <marostegui> Add db2127 to tendril and zarcillo (s3) - T228969

Change 528313 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Add db2127 to the config

https://gerrit.wikimedia.org/r/528313

Change 528315 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2127: Enable notifications

https://gerrit.wikimedia.org/r/528315

Change 528315 merged by Marostegui:
[operations/puppet@production] db2127: Enable notifications, add to conftool

https://gerrit.wikimedia.org/r/528315

Change 528313 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Add db2127 to the config

https://gerrit.wikimedia.org/r/528313

Mentioned in SAL (#wikimedia-operations) [2019-08-06T05:49:58Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Provision db2127 into s3 T228969 (duration: 00m 48s)

Marostegui updated the task description. (Show Details)Aug 6 2019, 5:51 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-06T05:53:58Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db2127 into s3 T228969', diff saved to https://phabricator.wikimedia.org/P8868 and previous config saved to /var/cache/conftool/dbconfig/20190806-055357-marostegui.json

Marostegui updated the task description. (Show Details)Aug 6 2019, 6:35 AM

Change 528319 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Provision db2130 into s1

https://gerrit.wikimedia.org/r/528319

Change 528319 merged by Marostegui:
[operations/puppet@production] mariadb: Provision db2130 into s1

https://gerrit.wikimedia.org/r/528319

Mentioned in SAL (#wikimedia-operations) [2019-08-06T08:39:11Z] <marostegui> Add db2130 to tendril and zarcillo T228969

Marostegui updated the task description. (Show Details)Aug 6 2019, 8:46 AM
Marostegui renamed this task from Productionize db21[21-30} to Productionize db21[21-31}.Aug 6 2019, 9:48 AM

Change 528411 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Do not reimage db2131

https://gerrit.wikimedia.org/r/528411

Change 528411 merged by Marostegui:
[operations/puppet@production] install_server: Do not reimage db2131

https://gerrit.wikimedia.org/r/528411

Change 528623 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Add db2130 to the config

https://gerrit.wikimedia.org/r/528623

Change 528639 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2130: Enable notifications

https://gerrit.wikimedia.org/r/528639

Change 528639 merged by Marostegui:
[operations/puppet@production] db2130: Enable notifications

https://gerrit.wikimedia.org/r/528639

Marostegui updated the task description. (Show Details)Aug 7 2019, 7:25 AM

Change 528623 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Add db2130 to the config

https://gerrit.wikimedia.org/r/528623

Mentioned in SAL (#wikimedia-operations) [2019-08-07T07:27:23Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Provision db2130 into s1 T228969 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-08-07T07:28:24Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Provision db2130 into s1 T228969 (duration: 00m 56s)

Change 528668 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Provision db2131 into x1

https://gerrit.wikimedia.org/r/528668

Change 528668 merged by Marostegui:
[operations/puppet@production] mariadb: Provision db2131 into x1

https://gerrit.wikimedia.org/r/528668

Mentioned in SAL (#wikimedia-operations) [2019-08-07T08:01:00Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db2130 into s1 - T228969', diff saved to https://phabricator.wikimedia.org/P8877 and previous config saved to /var/cache/conftool/dbconfig/20190807-080059-marostegui.json

Change 528713 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2131 into x1

https://gerrit.wikimedia.org/r/528713

Change 528713 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2131 into x1

https://gerrit.wikimedia.org/r/528713

Mentioned in SAL (#wikimedia-operations) [2019-08-07T08:48:25Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Provision db2131 into x1 T228969 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-08-07T08:49:33Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Provision db2131 into x1 T228969 (duration: 00m 55s)

Change 528717 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2131: Enable notifications

https://gerrit.wikimedia.org/r/528717

Change 528717 merged by Marostegui:
[operations/puppet@production] db2131: Enable notifications

https://gerrit.wikimedia.org/r/528717

Marostegui updated the task description. (Show Details)Aug 7 2019, 9:13 AM

Change 529629 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Provision db2121 into s7

https://gerrit.wikimedia.org/r/529629

Change 529629 merged by Marostegui:
[operations/puppet@production] mariadb: Provision db2121 into s7

https://gerrit.wikimedia.org/r/529629

Change 529634 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2121 into s7

https://gerrit.wikimedia.org/r/529634

Change 529634 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Pool db2121 into s7

https://gerrit.wikimedia.org/r/529634

Mentioned in SAL (#wikimedia-operations) [2019-08-12T07:19:30Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Provision db2121 into s7 T228969 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-08-12T07:20:56Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Provision db2121 into s7 T228969 (duration: 00m 47s)

Change 529775 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Provision db2122 into s7

https://gerrit.wikimedia.org/r/529775

Change 529775 merged by Marostegui:
[operations/puppet@production] mariadb: Provision db2122 into s7

https://gerrit.wikimedia.org/r/529775

Change 529846 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2121: Enable notifications

https://gerrit.wikimedia.org/r/529846

Change 529846 merged by Marostegui:
[operations/puppet@production] db2121: Enable notifications

https://gerrit.wikimedia.org/r/529846

Marostegui updated the task description. (Show Details)Aug 13 2019, 5:06 AM

Change 529848 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Provision db2122 into s7

https://gerrit.wikimedia.org/r/529848

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:10:20Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Provision db2122 into s7 T228969', diff saved to https://phabricator.wikimedia.org/P8903 and previous config saved to /var/cache/conftool/dbconfig/20190813-051019-marostegui.json

Change 529848 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Provision db2122 into s7

https://gerrit.wikimedia.org/r/529848

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:11:31Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Provision db2122 into s7 T228969 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:12:33Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Provision db2122 into s7 T228969 (duration: 00m 47s)

Change 530021 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2122: Enable notifications

https://gerrit.wikimedia.org/r/530021

Change 530021 merged by Marostegui:
[operations/puppet@production] db2122: Enable notifications

https://gerrit.wikimedia.org/r/530021

Marostegui closed this task as Resolved.Aug 14 2019, 7:32 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

All these hosts have been populated and are provisioned